Loading...
Searching...
No Matches
ForceFields::CrystalFF::TorsionAngleContribs Class Reference

`#include <TorsionAngleContribs.h>`

Inheritance diagram for ForceFields::CrystalFF::TorsionAngleContribs:

## Public Member Functions

| TorsionAngleContribs ()=default
| TorsionAngleContribs (ForceField *owner)
| Constructor.
| ~TorsionAngleContribs () override=default
void | addContrib (unsigned int idx1, unsigned int idx2, unsigned int idx3, unsigned int idx4, std::vector< double > forceConstants, std::vector< int > signs)
| Add contribution to this collection.
double | getEnergy (double *pos) const override
| return the contribution of this contrib to the energy of a given state
void | getGrad (double *pos, double *grad) const override
TorsionAngleContribs * | copy () const override
| Copy constructor.
bool | empty () const
| Return true if there are no contributions in this contrib.
unsigned int | size () const
| Get number of contributions in this contrib.
Public Member Functions inherited from ForceFields::ForceFieldContrib
| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()

## Additional Inherited Members

Protected Attributes inherited from ForceFields::ForceFieldContrib
ForceField * | dp_forceField {nullptr}
| our owning ForceField

## Detailed Description

Definition at line 50 of file TorsionAngleContribs.h.

## Constructor & Destructor Documentation

## TorsionAngleContribs() [1/2]

ForceFields::CrystalFF::TorsionAngleContribs::TorsionAngleContribs | ( |  | ) |

default

Referenced by copy().

## TorsionAngleContribs() [2/2]

ForceFields::CrystalFF::TorsionAngleContribs::TorsionAngleContribs | ( | ForceField * | owner | ) |

Constructor.

Parameters

  owner | pointer to the owning ForceField

References ForceFields::ForceFieldContrib::ForceField.

## ~TorsionAngleContribs()

ForceFields::CrystalFF::TorsionAngleContribs::~TorsionAngleContribs | ( |  | ) |

override default

## Member Function Documentation

## addContrib()

void ForceFields::CrystalFF::TorsionAngleContribs::addContrib | ( | unsigned int | idx1,
|  | unsigned int | idx2,
|  | unsigned int | idx3,
|  | unsigned int | idx4,
|  | std::vector< double > | forceConstants,
|  | std::vector< int > | signs )

Add contribution to this collection.

Parameters

  idx1 | index of atom1 in the ForceField's positions
  idx2 | index of atom2 in the ForceField's positions
  idx3 | index of atom3 in the ForceField's positions
  idx4 | index of atom4 in the ForceField's positions
  forceConstants | force constants for the torsion potentials
  signs | phase for the torsion potentials (-1 or 1)

## copy()

TorsionAngleContribs * ForceFields::CrystalFF::TorsionAngleContribs::copy | ( |  | ) | const

inline override virtual

Copy constructor.

Implements ForceFields::ForceFieldContrib.

Definition at line 87 of file TorsionAngleContribs.h.

References TorsionAngleContribs().

## empty()

bool ForceFields::CrystalFF::TorsionAngleContribs::empty | ( |  | ) | const

inline

Return true if there are no contributions in this contrib.

Definition at line 92 of file TorsionAngleContribs.h.

## getEnergy()

double ForceFields::CrystalFF::TorsionAngleContribs::getEnergy | ( | double * | pos | ) | const

override virtual

return the contribution of this contrib to the energy of a given state

Parameters

  pos | positions of the atoms in the current state

Implements ForceFields::ForceFieldContrib.

## getGrad()

void ForceFields::CrystalFF::TorsionAngleContribs::getGrad | ( | double * | pos,
|  | double * | grad ) const

override virtual

calculate the contribution of this contrib to the gradient at a given state

Parameters

  pos | positions of the atoms in the current state
  grad | gradients to be adapted

Implements ForceFields::ForceFieldContrib.

## size()

unsigned int ForceFields::CrystalFF::TorsionAngleContribs::size | ( |  | ) | const

inline

Get number of contributions in this contrib.

Definition at line 95 of file TorsionAngleContribs.h.

The documentation for this class was generated from the following file:

- TorsionAngleContribs.h